Summary:	An interactive Python tool for querying accessibility information
Summary(pl.UTF-8):	Interaktywne narzędzie w Pythonie do pobierania informacji o dostępności
Name:		accerciser
Version:	3.46.2
Release:	3
License:	BSD
Group:		X11/Applications/Accessibility
Source0:	https://download.gnome.org/sources/accerciser/3.46/%{name}-%{version}.tar.xz
# Source0-md5:	ce9ee87656fdae982d13f9e9d1212d6d
URL:		https://wiki.gnome.org/Apps/Accerciser
BuildRequires:	AppStream
BuildRequires:	at-spi2-core-devel >= 2.5.2
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	meson >= 1.0.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-pygobject3-devel >= 3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	atk
Requires:	gdk-pixbuf2 >= 2.0
Requires:	gtk+3 >= 3.24
Requires:	librsvg >= 2.0
Requires:	libwnck >= 3.0
Requires:	pango
Requires:	python3-Xlib
Requires:	python3-ipython
Requires:	python3-modules >= 1:3.2
Requires:	python3-pyatspi
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interactive Python accessibility explorer.

%description -l pl.UTF-8
Interaktywny eksplorator dostępności w Pythonie.

%package -n gnome-shell-extension-%{name}
Summary:	GNOME Shell extension for Accerciser
Summary(pl.UTF-8):	Rozszerzenie powłoki GNOME (GNOME Shell) dla Accercisera
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-shell >= 3

%description -n gnome-shell-extension-%{name}
GNOME Shell extension for Accerciser.

%description -n gnome-shell-extension-%{name} -l pl.UTF-8
Rozszerzenie powłoki GNOME (GNOME Shell) dla Accercisera.

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS NOTICE README.md
%attr(755,root,root) %{_bindir}/accerciser
%{py3_sitescriptdir}/accerciser
%{_datadir}/accerciser
%{_datadir}/glib-2.0/schemas/org.a11y.Accerciser.gschema.xml
%{_datadir}/metainfo/org.gtk.accerciser.metainfo.xml
%{_desktopdir}/accerciser.desktop
%{_iconsdir}/hicolor/*x*/apps/accerciser.png
%{_iconsdir}/hicolor/scalable/apps/accerciser.svg
%{_iconsdir}/hicolor/symbolic/apps/accerciser-symbolic.svg
%{_mandir}/man1/accerciser.1*

%files -n gnome-shell-extension-%{name}
%defattr(644,root,root,755)
%{_datadir}/gnome-shell/extensions/accerciser@accerciser.gnome.org
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/accerciser.git;a=log;h=auto/th/accerciser-3.46.2-3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7288d24
- Release 3 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3fd554c
- python 3.13 rebuild

* Tue Feb 18 2025 Jakub Bogusz <qboosh@pld-linux.org> f05e185
- updated to 3.46.2

* Sun Aug 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 451b153
- updated to 3.44.1

* Sun Oct 15 2023 Jakub Bogusz <qboosh@pld-linux.org> 657b6a7
- updated to 3.42.0

* Fri Jul 29 2022 Jakub Bogusz <qboosh@pld-linux.org> e91bc18
- updated to 3.40.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e8f5f3c
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 30a76ff
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a595c59
- release 2 (by relup.sh)

* Thu Sep 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 9a57479
- updated to 3.38.0

* Sun Aug 16 2020 Jakub Bogusz <qboosh@pld-linux.org> b418aaa
- updated to 3.36.3

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> ae9058b
- updated to 3.36.2

* Tue Apr 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 136fec4
- updated to 3.36.1

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> b311402
- updated to 3.36.0

* Sat Mar 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 7ec9c68
- updated to 3.34.4; requires Xlib module

* Tue Jan 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 5c94e6a
- updated to 3.34.3

* Thu Nov 21 2019 Jakub Bogusz <qboosh@pld-linux.org> a71ea2f
- updated to 3.34.2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 2c50113
- updated to 3.34.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> eb85406
- rebuild with python 3.8
- release 4 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c906a55
- release 3 (by relup.sh)

